Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/gui-qt/repodlgs.cpp File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Structures | Functions
repodlgs.cpp File Reference
`#include <QApplication>`
`#include <QComboBox>`
`#include <QElapsedTimer>`
`#include <QGridLayout>`
`#include <QGroupBox>`
`#include <QHeaderView>`
`#include <QMessageBox>`
`#include <QMouseEvent>`
`#include <QPainter>`
`#include <QRadioButton>`
`#include <QScrollArea>`
`#include <QTableWidget>`
`#include <QtMath>`
`#include <QToolTip>`
`#include "control.h"`
`#include "government.h"`
`#include "research.h"`
`#include "client_main.h"`
`#include "gui_main.h"`
`#include "helpdata.h"`
`#include "options.h"`
`#include "repodlgs_common.h"`
`#include "reqtree.h"`
`#include "sprite.h"`
`#include "text.h"`
`#include "tilespec.h"`
`#include "citydlg.h"`
`#include "cityrep.h"`
`#include "fc_client.h"`
`#include "hudwidget.h"`
`#include "sidebar.h"`
`#include "repodlgs.h"`

Go to the source code of this file.

## Data Structures

struct | tree_node
struct | reqtree

## Functions

QString | split_text (QString text, bool cut)
QString | cut_helptext (QString text)
QString | get_tooltip_improvement (impr_type *building, struct city *pcity, bool ext)
QString | get_tooltip_unit (struct unit_type *unit, bool ext)
bool | comp_less_than (const qlist_item &q1, const qlist_item &q2)
void | real_science_report_dialog_update (void *unused)
void | science_report_dialog_popup (bool raise)
void | real_economy_report_dialog_update (void *unused)
void | economy_report_dialog_popup (bool raise)
void | real_units_report_dialog_update (void *unused)
void | units_report_dialog_popup (bool raise)
void | endgame_report_dialog_start (const struct packet_endgame_report *packet)
void | popdown_endgame_report ()
void | popup_endgame_report ()
void | endgame_report_dialog_player (const struct packet_endgame_player *packet)
void | science_report_dialog_redraw (void)
void | popdown_economy_report ()
void | popdown_science_report ()
void | popdown_units_report ()
void | toggle_units_report (bool x)

## Function Documentation

## ◆ comp_less_than()

bool comp_less_than | ( | const qlist_item & | q1,
|  | const qlist_item & | q2
| ) |  |

Compare unit_items (used for techs) by name

Definition at line 545 of file repodlgs.cpp.

Referenced by side_right_click_science(), and science_report::update_report().

## ◆ cut_helptext()

QString cut_helptext | ( | QString | text | ) |

extern

Remove some text from given text(help text) to show as tooltip

Definition at line 105 of file optiondlg.cpp.

## ◆ economy_report_dialog_popup()

void economy_report_dialog_popup | ( | bool | raise | ) |

Display the economy report. Typically triggered by F5.

Definition at line 1705 of file repodlgs.cpp.

## ◆ endgame_report_dialog_player()

void endgame_report_dialog_player | ( | const struct packet_endgame_player * | packet | ) |

Received endgame report information about single player.

Definition at line 1789 of file repodlgs.cpp.

## ◆ endgame_report_dialog_start()

void endgame_report_dialog_start | ( | const struct packet_endgame_report * | packet | ) |

Show a dialog with player statistics at endgame.

Definition at line 1751 of file repodlgs.cpp.

## ◆ get_tooltip_improvement()

QString get_tooltip_improvement | ( | impr_type * | building,
|  | struct city * | pcity,
|  | bool | ext
| ) |  |

extern

## ◆ get_tooltip_unit()

QString get_tooltip_unit | ( | struct unit_type * | unit,
|  | bool | ext
| ) |  |

extern

## ◆ popdown_economy_report()

void popdown_economy_report | ( |  | ) |

Closes economy report

Definition at line 1826 of file repodlgs.cpp.

Referenced by popdown_all_game_dialogs().

## ◆ popdown_endgame_report()

void popdown_endgame_report | ( |  | ) |

Removes endgame report

Definition at line 1762 of file repodlgs.cpp.

Referenced by popdown_all_game_dialogs().

## ◆ popdown_science_report()

void popdown_science_report | ( |  | ) |

Closes science report

Definition at line 1844 of file repodlgs.cpp.

Referenced by popdown_all_game_dialogs().

## ◆ popdown_units_report()

void popdown_units_report | ( |  | ) |

Closes units report

Definition at line 1862 of file repodlgs.cpp.

Referenced by popdown_all_game_dialogs().

## ◆ popup_endgame_report()

void popup_endgame_report | ( |  | ) |

Popups endgame report to front if exists

Definition at line 1776 of file repodlgs.cpp.

Referenced by mr_menu::slot_endgame().

## ◆ real_economy_report_dialog_update()

void real_economy_report_dialog_update | ( | void * | unused | ) |

Update the economy report.

Definition at line 1685 of file repodlgs.cpp.

## ◆ real_science_report_dialog_update()

void real_science_report_dialog_update | ( | void * | unused | ) |

Update the science report.

Definition at line 1157 of file repodlgs.cpp.

## ◆ real_units_report_dialog_update()

void real_units_report_dialog_update | ( | void * | unused | ) |

Update the units report.

Definition at line 1732 of file repodlgs.cpp.

## ◆ science_report_dialog_popup()

void science_report_dialog_popup | ( | bool | raise | ) |

Display the science report. Optionally raise it. Typically triggered by F6.

Definition at line 1658 of file repodlgs.cpp.

## ◆ science_report_dialog_redraw()

void science_report_dialog_redraw | ( | void |  | ) |

Resize and redraw the requirement tree.

Definition at line 1807 of file repodlgs.cpp.

## ◆ split_text()

QString split_text | ( | QString | text,
|  | bool | cut
| ) |  |

extern

Splits long text to 80 characters

Definition at line 62 of file optiondlg.cpp.

## ◆ toggle_units_report()

void toggle_units_report | ( | bool | x | ) |

Toggles units report, bool used for compatibility with sidebar callback

Definition at line 1870 of file repodlgs.cpp.

Referenced by fc_client::create_game_page(), and mr_menu::slot_show_units_report().

## ◆ units_report_dialog_popup()

void units_report_dialog_popup | ( | bool | raise | ) |

Display the units report. Typically triggered by F2.

Definition at line 1742 of file repodlgs.cpp.

Referenced by toggle_units_report().